%define tarname SetupDocs
%define name	python-setupdocs
%define version 1.0.5
%define release %mkrel 1

Summary: 	Python setuptools extension for building documentation
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{tarname}-%{version}.tar.gz
License:	BSD
Group:		Development/Python
Url:		http://pypi.python.org/pypi/SetupDocs/
BuildRoot: 	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Suggests:	python-sphinx >= 0.4.2
BuildArch:	noarch
Requires:	python-setuptools
BuildRequires:	python-setuptools
%py_requires -d

%description
SetupDocs is a setuptools extension that help doc building
automation. It adds two commands to the setup.py command

%prep
%setup -q -n %{tarname}-%{version}

%build
%__python setup.py build

%install
%__rm -rf %{buildroot}
PYTHONDONTWRITEBYTECODE= %__python setup.py install --root=%{buildroot} --record=FILE_LIST

%clean
%__rm -rf %{buildroot}

%files -f FILE_LIST
%defattr(-,root,root)
%doc *.txt


%changelog
* Sun Oct 17 2010 Lev Givon <lev@mandriva.org> 1.0.5-1mdv2011.0
+ Revision: 586455
- Update to 1.0.5.

* Thu Apr 08 2010 Lev Givon <lev@mandriva.org> 1.0.4-1mdv2010.1
+ Revision: 533144
- Update to 1.0.4.

* Fri Aug 21 2009 Lev Givon <lev@mandriva.org> 1.0.3-1mdv2010.0
+ Revision: 419028
- Update to 1.0.3.

* Sun May 03 2009 Lev Givon <lev@mandriva.org> 1.0.2-1mdv2010.0
+ Revision: 371393
- import python-setupdocs


